### File

`packages/base/src/lib/ux-models/ux-link-legacy.model.ts`

### Index

###### Properties
active allowedRightId allowedRightIds ariaIconLabel badgeLabel badges badgeTypeClass category children command deniedRightId deniedRightIds disabled e2eAttr expanded hasIconBg hasMarker hasTag iconClass iconTypeClass id indeterminate isHome isScreenReaderClickable isSeparator label markerTypeClass metadata parent selected subLabel tagCount tagLabel tagTypeClass tooltipLabel typeClass typeLabel typeLabelClass url urlExternal urlExternalTarget visible
###### Accessors
hasChildren

### Constructor

`constructor(values: object)`
Parameters :
Name | Type | Optional
values | `object` | No

### Properties

active
Type : `unknown`
Default value : `false`

allowedRightId
Type : `string`

allowedRightIds
Type : `string[]`

ariaIconLabel
Type : `string`

badgeLabel
Type : `string`

badges
Type : `UxBadgeLegacy[]`

badgeTypeClass
Type : `string`
Default value : `'secondary'`

category
Type : `string`

children
Type : `UxLinkLegacy<METADATA>[]`

command
Type : `function`

deniedRightId
Type : `string`

deniedRightIds
Type : `string[]`

disabled
Type : `unknown`
Default value : `false`

e2eAttr
Type : `string`

expanded
Type : `unknown`
Default value : `false`

hasIconBg
Type : `unknown`
Default value : `false`

hasMarker
Type : `unknown`
Default value : `false`

hasTag
Type : `unknown`
Default value : `false`

iconClass
Type : `string`

iconTypeClass
Type : `string`

id
Type : `string`

indeterminate
Type : `unknown`
Default value : `false`

isHome
Type : `unknown`
Default value : `false`

isScreenReaderClickable
Type : `unknown`
Default value : `false`

isSeparator
Type : `unknown`
Default value : `false`

label
Type : `string`

markerTypeClass
Type : `string`

metadata
Type : `METADATA`

parent
Type : `UxLinkLegacy<METADATA>`

selected
Type : `unknown`
Default value : `false`

subLabel
Type : `string`

tagCount
Type : `string`

tagLabel
Type : `string`

tagTypeClass
Type : `string`

tooltipLabel
Type : `string`

typeClass
Type : `string`

typeLabel
Type : `string`

typeLabelClass
Type : `string`

url
Type : `string`

urlExternal
Type : `string`

urlExternalTarget
Type : `string`
Default value : `'_blank'`

visible
Type : `unknown`
Default value : `true`

### Accessors

hasChildren
get `hasChildren()`

# results matching ""

# No results matching ""